Package org.pgpainless.util.selection.keyring.impl

# Class ExactUserId.SecRingSelectionStrategy

java.lang.Object
org.pgpainless.util.selection.keyring.SecretKeyRingSelectionStrategy<String>
org.pgpainless.util.selection.keyring.impl.ExactUserId.SecRingSelectionStrategy

All Implemented Interfaces:
  `KeyRingSelectionStrategy<org.bouncycastle.openpgp.PGPSecretKeyRing,org.bouncycastle.openpgp.PGPSecretKeyRingCollection,String>`

Direct Known Subclasses:
  `XMPP.SecRingSelectionStrategy`

Enclosing class:
  `ExactUserId`

public static class ExactUserId.SecRingSelectionStrategy extends SecretKeyRingSelectionStrategy<String>
`SecretKeyRingSelectionStrategy` which accepts `PGPSecretKeyRings` if those have a user-id which exactly matches the given

    identifier

.

## Constructor Summary

Constructors
Constructor
Description
`SecRingSelectionStrategy()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(String identifier, org.bouncycastle.openpgp.PGPSecretKeyRing keyRing)`
Return true, if the filter accepts the given

### Methods inherited from class org.pgpainless.util.selection.keyring.SecretKeyRingSelectionStrategy

`selectKeyRingsFromCollection, selectKeyRingsFromCollections`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecRingSelectionStrategy

public SecRingSelectionStrategy()

## Method Details

### accept

public boolean accept(String identifier, org.bouncycastle.openpgp.PGPSecretKeyRing keyRing)
Description copied from interface: `KeyRingSelectionStrategy`
Return true, if the filter accepts the given

    keyRing

based on the given

    identifier

.

Parameters:
  `identifier` - identifier
  `keyRing` - key ring
Returns:
  acceptance